
// Project: Simon Suran Grafika Sutaz v2.0 
// Created: 2018-04-19

// show all errors
SetErrorMode(2)

// set window properties
SetWindowTitle( "Simon Suran Grafika Sutaz v2.0" )
SetWindowSize( 854,480, 0 )

// set display properties
SetVirtualResolution( 854,480 ) // doesn't have to match the window
SetOrientationAllowed( 1, 1, 1, 1 ) // allow both portrait and landscape on mobile devices
UseNewDefaultFonts( 1 ) // since version 2.0.22 we can use nicer default fonts

ec as float
ecash as float
allcash as float
aclick as float
bam as float
time as float
fade as float
global complete1=0
global complete2=0
global highscore=0
global font3

font1=LoadFont("f1.ttf")
font2=LoadFont("f2.ttf")
font3=LoadFont("f3.ttf")
font11=LoadFont("f11.ttf")
font4=loadfont("f5.ttf")

do
	for x=0 to 840 step 70
		for y=0 to 490 step 70
			stone=LoadSprite("stone.png")
			SetSpritePosition(stone,x,y)
		next
	next

	
	
	txt_completeb=CreateText("COMPLETED")
	SetTextSize(txt_completeb,25)
	SetTextColor(txt_completeb,0,255,0,255)
	
	xtxtcb=345
	ytxtcb=5000
	
	txt_hs=CreateText("HIGHSCORE=")
	SetTextSize(txt_hs,25)
	SetTextColor(txt_hs,255,0,0,255)
	xhs=525
	yhs=340
	settextposition(txt_hs,xhs,yhs)
	
	txt_bugs=CreateText("ANY BUGS? CONTACT ME ON simon.suran01@gmail.com")
	SetTextSize(txt_bugs,20)
	SetTextColor(txt_bugs,0,0,0,255)
	xb=150
	yb=450
	settextposition(txt_bugs,xb,yb)
	SetTextFont(txt_bugs,font4)
	
	txt_highs=CreateText("0")
	SetTextSize(txt_highs,25)
	SetTextColor(txt_highs,255,0,0,255)
	xhs=650
	yhs=340
	settextposition(txt_highs,xhs,yhs)
	SetTextString(txt_highs,str(highscore))
	
	
	txt_completec=CreateText("COMPLETED")
	SetTextSize(txt_completec,25)
	SetTextColor(txt_completec,0,255,0,255)
	
	xtxtcc=140
	ytxtcc=5000


	but1=1
	but2=2
	but3=3
	
	AddVirtualButton(but1,200,300,75)
	SetVirtualButtonText(but1,"CLASSIC")
	SetVirtualButtonColor(but1,255,255,100)
		
		
	AddVirtualButton(but2,400,300,75)
	SetVirtualButtonText(but2,"BOSS")
	SetVirtualButtonColor(but2,255,0,100)
	
	
	AddVirtualButton(but3,600,300,75)
	SetVirtualButtonText(but3,"EXACT")
	SetVirtualButtonColor(but3,0,255,100)
	
	if complete1=1
		ytxtcb=340
	endif
	
	if complete2=1
		ytxtcc=340
	endif						
		

	fade=0

	menu=0

	repeat
		SetTextPosition(txt_completeb,xtxtcb,ytxtcb)
		SetTextPosition(txt_completec,xtxtcc,ytxtcc)

		
		fade=fade+0.1
		txt_start=CreateText("THE CLICKER")
		SetTextSize(txt_start,150)
		SetTextPosition(txt_start,50,0)
		SetTextColor(txt_start,255,0,0,fade)
		SetTextFont(txt_start,font1)
	
		txt_bag=CreateText("BEST ANTISTRESS GAME")
		SetTextSize(txt_bag,50)
		SetTextPosition(txt_bag,250,120)
		SetTextColor(txt_bag,255,0,0,fade)
		SetTextFont(txt_bag,font2)
		
		
		if GetVirtualButtonPressed(but1)
			DeleteVirtualButton(but1)
			DeleteVirtualButton(but2)
			DeleteVirtualButton(but3)
			classic()
			menu=1
		else
			if GetVirtualButtonPressed(but2)
				DeleteVirtualButton(but1)
				DeleteVirtualButton(but2)
				DeleteVirtualButton(but3)
				boss()
				menu=1
			else
				if GetVirtualButtonPressed(but3)
					DeleteVirtualButton(but1)
					DeleteVirtualButton(but2)
					DeleteVirtualButton(but3)
					exact()
					menu=1
				endif	
			endif
		endif
		
		
		
		sync()
		
	until menu=1

loop




function classic()
	ec as float
	ecash as float
	allcash as float
	DeleteAllSprites()
	DeleteAllText()
	
	for x=0 to 840 step 70
		for y=0 to 490 step 70
			stone=LoadSprite("stone.png")
			SetSpritePosition(stone,x,y)
		next
	next

	kaktus=LoadSprite("cactus.png")
	SetSpriteScale(kaktus,4,4)
	SetSpritePosition(kaktus,300,0)

	mb=LoadSprite("mushroomRed.png")
	xmb=5001
	ymb=210

	balance=CreateText("0")
	SetTextSize(balance,80)
	SetTextPosition(balance,20,20)
	SetTextColor(balance,0,255,0,255)

	txt_1=CreateText("30$-set multiplier at x2")
	SetTextSize(txt_1,40)
	SetTextPosition(txt_1,20,20)
	SetTextColor(txt_1,255,0,0,255)

	x1=5000
	y1=350

	txt_2=CreateText("65$-buy automatic gather of money")
	SetTextSize(txt_2,40)
	SetTextPosition(txt_2,20,20)
	SetTextColor(txt_2,255,0,0,255)

	x2=5000
	y2=350

	txt_3=CreateText("150$-gather faster automatic money")
	SetTextSize(txt_3,40)
	SetTextPosition(txt_3,20,20)
	SetTextColor(txt_3,255,0,0,255)

	x3=5000
	y3=350

	txt_4=CreateText("217$-move to better conditions")
	SetTextSize(txt_4,40)
	SetTextPosition(txt_4,20,20)
	SetTextColor(txt_4,255,0,0,255)

	x4=5000
	y4=350
	
	txt_c2=CreateText("CLICK THE CACTUS TO EARN CASH")
	SetTextSize(txt_c2,25)
	SetTextColor(txt_c2,0,0,0,255)
	SetTextFont(txt_c2,font3)
	settextposition(txt_c2,100,400)
	

	cash=0
	ecash=0
	first=1
	efirst=1
	ec=0
	end1=0


	repeat
		SetTextString(balance,str(allcash))
		SettextPosition(txt_1,x1,y1)
		SettextPosition(txt_2,x2,y2)
		SettextPosition(txt_3,x3,y3)
		SettextPosition(txt_4,x4,y4)
		SetSpritePosition(mb,xmb,ymb)
		ecash=ec*efirst
		allcash=cash+ecash
		
		
		if cash=>30 and first=<1
			x1=250
		endif
		
		if cash=>65 and x1=5000
			 
			x2=250
		endif
		
		if cash=>150 and x2=5001
			x3=250
		endif
		
		if cash=>217 and x3=5001
			x4=250
		endif
		
		
		if  GetPointerPressed()
			xp=GetPointerX()
			yp=GetPointerY()
			if GetTextHitTest(txt_1,xp,yp) and cash=>30
				cash=cash-30
				first=2
				x1=5000
				xmb=375
			endif
			if GetTextHitTest(txt_2,xp,yp) and cash=>65
				cash=cash-65
				x2=5001
				x1=5002
			endif
			if GetTextHitTest(txt_3,xp,yp) and cash=>150
				cash=cash-150
				efirst=2
				x3=5001
				x2=5002
			endif
			if GetTextHitTest(txt_4,xp,yp) and cash=>217
				cash=cash-217
				end1=1
				x3=5002
				x4=5001
			endif	
			if GetSpriteHit(xp,yp)=kaktus
				cash=cash+1*first
				
			endif
			

		endif
		
		if x1=5002
			ec=ec+0.005
		endif	
		
			

	  
		Sync()
	until end1=1

	DeleteAllSprites()
	DeleteAllText()

	for x=0 to 840 step 70
		for y=0 to 490 step 70
			dirt=LoadSprite("dirt.png")
			SetSpritePosition(dirt,x,y)
		next
	next

	kaktus=LoadSprite("cactus.png")
	SetSpriteScale(kaktus,4,4)
	SetSpritePosition(kaktus,300,0)

	mb=LoadSprite("mushroomRed.png")
	xmb=385
	ymb=210

	mbr=LoadSprite("mushroomBrown.png")
	xmbr=5001
	ymbr=210

	r=LoadSprite("rock.png")
	xr=5001
	yr=210

	balance=CreateText("0")
	SetTextSize(balance,80)
	SetTextPosition(balance,20,20)
	SetTextColor(balance,0,255,0,255)

	txt_5=CreateText("300$-set multiplier at x4")
	SetTextSize(txt_5,40)
	SetTextPosition(txt_5,20,20)
	SetTextColor(txt_5,255,0,0,255)

	x5=5000
	y5=380

	txt_6=CreateText("500$-set multiplier at x10")
	SetTextSize(txt_6,40)
	SetTextPosition(txt_6,20,20)
	SetTextColor(txt_6,255,0,0,255)

	x6=5000
	y6=380

	txt_7=CreateText("1000$-gather faster automatic money")
	SetTextSize(txt_7,40)
	SetTextPosition(txt_7,20,20)
	SetTextColor(txt_7,255,0,0,255)

	x7=5000
	y7=380

	txt_8=CreateText("1250$-move to better conditions")
	SetTextSize(txt_8,40)
	SetTextPosition(txt_8,20,20)
	SetTextColor(txt_8,255,0,0,255)

	x8=5000
	y8=380

	end2=0


	repeat
		SetTextString(balance,str(allcash))
		SetSpritePosition(mb,xmb,ymb)
		SetSpritePosition(mbr,xmbr,ymbr)
		SetSpritePosition(r,xr,yr)
		SettextPosition(txt_5,x5,y5)
		SettextPosition(txt_6,x6,y6)
		SettextPosition(txt_7,x7,y7)
		SettextPosition(txt_8,x8,y8)
		ecash=ec*efirst
		allcash=cash+ecash
		
		if cash=>300 and x4=5001
			x5=250
		endif
		if cash=>500 and x5=5001
			x6=250
		endif	
		if cash=>1000 and x6=5001
			x7=250
		endif
		if cash=>1250 and x7=5001
			x8=250
		endif
		
		
		
		if  GetPointerPressed()
			xp=GetPointerX()
			yp=GetPointerY()
			if GetSpriteHit(xp,yp)=kaktus
				cash=cash+1*first
				
			endif
			if GetTextHitTest(txt_5,xp,yp) and cash=>300
				cash=cash-300
				first=4
				x4=5002
				x5=5001
				xmbr=385
				xmb=5002		
			endif
			if GetTextHitTest(txt_6,xp,yp) and cash=>500
				cash=cash-500
				first=10
				x5=5002
				x6=5001
				xr=385
				xmbr=5002		
			endif
			if GetTextHitTest(txt_7,xp,yp) and cash=>1000
				cash=cash-1000
				efirst=5
				x6=5002
				x7=5001		
			endif
			if GetTextHitTest(txt_8,xp,yp) and cash=>1250
				cash=cash-1250
				end2=1
				x7=5002
				x8=5001		
			endif
			

		endif
		
		if x1=5002
			ec=ec+0.005
		endif		
		
		
		
		sync()



	until end2=1

	DeleteAllSprites()
	DeleteAllText()

	for x=0 to 840 step 70
		for x2=0 to 840 step 70
			snow=LoadSprite("snow.png")
			SetSpritePosition(snow,x,380)
			stone=LoadSprite("stone.png")
			SetSpritePosition(stone,x2,450)
		next
	next

	kaktus=LoadSprite("cactus.png")
	SetSpriteScale(kaktus,4,4)
	SetSpritePosition(kaktus,300,100)

	balance=CreateText("0")
	SetTextSize(balance,80)
	SetTextPosition(balance,20,20)
	SetTextColor(balance,0,255,0,255)

	r=LoadSprite("rock.png")
	xr=385
	yr=315

	b=LoadSprite("bush.png")
	xb=5000
	yb=315

	txt_9=CreateText("1300$-gather faster automatic money")
	SetTextSize(txt_9,40)
	SetTextPosition(txt_9,20,20)
	SetTextColor(txt_9,255,0,0,255)

	x9=5000
	y9=380

	txt_10=CreateText("1500$-set multiplier at x20")
	SetTextSize(txt_10,40)
	SetTextPosition(txt_10,20,20)
	SetTextColor(txt_10,255,0,0,255)


	x10=5000
	y10=380

	txt_11=CreateText("2000$-gather faster automatic money")
	SetTextSize(txt_11,40)
	SetTextPosition(txt_11,20,20)
	SetTextColor(txt_11,255,0,0,255)


	x11=5000
	y11=380

	txt_12=CreateText("3255$-move to better conditions")
	SetTextSize(txt_12,40)
	SetTextPosition(txt_12,20,20)
	SetTextColor(txt_12,255,0,0,255)

	x12=5000
	y12=380



	end3=0
	kollik=0
	repeat
		SetTextString(balance,str(allcash))
		SetSpritePosition(r,xr,yr)
		SetSpritePosition(b,xb,yb)
		SettextPosition(txt_9,x9,y9)
		SettextPosition(txt_10,x10,y10)
		SettextPosition(txt_11,x11,y11)
		SettextPosition(txt_12,x12,y12)
		ecash=ec*efirst
		allcash=cash+ecash
		
		
		if cash=>1300 and x8=5001
			x9=250
		endif
		if cash=>1500 and x9=5001 
			x10=250
		endif
		if cash=>2000 and x10=5001 
			x11=250
		endif
		if cash=>3255 and x11=5001 
			x12=250
		endif
		
		
		
		if  GetPointerPressed()
			xp=GetPointerX()
			yp=GetPointerY()
			if GetSpriteHit(xp,yp)=kaktus
				cash=cash+1*first
			endif
			if GetTextHitTest(txt_9,xp,yp) and cash=>1300
				cash=cash-1300
				efirst=9
				x8=5002
				x9=5001		
			endif
			if GetTextHitTest(txt_10,xp,yp) and cash=>1500    
				cash=cash-1500
				first=20
				x9=5002
				x10=5001
				xb=385
				xr=5002
			 endif
			 if GetTextHitTest(txt_11,xp,yp) and cash=>2000
				cash=cash-2000
				efirst=17
				x10=5002
				x11=5001		
			endif
			if GetTextHitTest(txt_12,xp,yp) and cash=>3255
				cash=cash-3255
				end3=1
				x11=5002
				x12=5001		
			endif   		
			

		endif
		
		if x1=5002
			ec=ec+0.005
		endif		






		 sync()


	until end3=1

	DeleteAllSprites()
	DeleteAllText()

	kaktus=LoadSprite("cactus.png")
	SetSpriteScale(kaktus,4,4)
	SetSpritePosition(kaktus,300,100)

	balance=CreateText("0")
	SetTextSize(balance,80)
	SetTextPosition(balance,20,20)
	SetTextColor(balance,0,255,0,255)

	b=LoadSprite("bush.png")
	xb=385
	yb=315

	pl=LoadSprite("plant.png")
	xpl=5000
	ypl=315




	for x=0 to 840 step 70
		
		
		for x2=0 to 840 step 70
			grass=LoadSprite("grass.png")
			SetSpritePosition(grass,x,380)
			dirt=LoadSprite("dirt.png")
			SetSpritePosition(dirt,x2,450)
		next
	next

	txt_13=CreateText("3333$-set multiplier at x3333")
	SetTextSize(txt_13,40)
	SetTextPosition(txt_13,20,20)
	SetTextColor(txt_13,255,0,0,255)

	x13=5000
	y13=380

	txt_14=CreateText("1000000$-move to better conditions")
	SetTextSize(txt_14,40)
	SetTextPosition(txt_14,20,20)
	SetTextColor(txt_14,255,0,0,255)

	x14=5000
	y14=380

	end4=0


	repeat
		SetTextString(balance,str(allcash))
		SetSpritePosition(b,xb,yb)
		SetSpritePosition(pl,xpl,ypl)
		settextPosition(txt_13,x13,y13)
		settextPosition(txt_14,x14,y14)
		ecash=ec*efirst
		allcash=cash+ecash
		
		if cash=>3333 and x12=5001 
			x13=250
		endif
		
		if cash=>1000000 and x13=5001 
			x14=250
		endif
		
		
		
		if  GetPointerPressed()
			xp=GetPointerX()
			yp=GetPointerY()
			if GetSpriteHit(xp,yp)=kaktus
				cash=cash+1*first
			endif 
			if GetTextHitTest(txt_13,xp,yp) and cash=>3333    
				cash=cash-3333
				first=3333
				x12=5002
				x13=5001
				xpl=385
				xb=5002		  		
			endif
			if GetTextHitTest(txt_14,xp,yp) and cash=>1000000   
				cash=cash-1000000
				x13=5002
				x14=5001
				end4=1
				complete2=1	  		
			endif
		endif
		
		if x1=5002
			ec=ec+0.005
		endif		






	sync()




	until end4=1

	DeleteAllSprites()
	DeleteAllText()

	for x=0 to 840 step 70
		
		
		for x2=0 to 840 step 70
			sand=LoadSprite("sand.png")
			SetSpritePosition(sand,x,380)
			dirt=LoadSprite("dirt.png")
			SetSpritePosition(dirt,x2,450)
		next
	next

	kaktus=LoadSprite("cactus.png")
	SetSpriteScale(kaktus,4,4)
	SetSpritePosition(kaktus,300,100)

	txt_15=CreateText("these conditions are best")
	SetTextSize(txt_15,40)
	SetTextPosition(txt_15,20,20)
	SetTextColor(txt_15,255,0,0,255)
	SetTextPosition(txt_15,50,150)

	txt_16=CreateText("press enter")
	SetTextSize(txt_16,40)
	SetTextPosition(txt_16,20,20)
	SetTextColor(txt_16,0,255,0,255)
	SetTextPosition(txt_16,50,250)




	repeat
		
		
		
		
		
		
		
		
		
		sync()
		
	until	GetRawKeyPressed(13)

	DeleteAllSprites()
	DeleteAllText()

endfunction



function boss()
	aclick as float
	DeleteAllSprites()
	DeleteAllText()

	b=0
	
	
	
	
	for x=0 to 840 step 70
		for y=0 to 240 step 240
			bg=LoadSprite("bg.png")
			SetSpritePosition(bg,x,y)
		next
	next
	
	for x=0 to 840 step 70
		for x2=0 to 840 step 70
			grass=LoadSprite("grass.png")
			SetSpritePosition(grass,x,380)
			dirt=LoadSprite("dirt.png")
			SetSpritePosition(dirt,x2,450)
		next
	next
	
	slimak=CreateSprite(0)
	AddSpriteAnimationFrame(slimak,LoadImage("snailWalk1.png"))
	AddSpriteAnimationFrame(slimak,LoadImage("snailWalk2.png"))
	SetSpriteShape(slimak,3)
	PlaySprite(slimak,5,1,1,2)
	SetSpriteSize(slimak,108,62)
	xs=350
	ys=250
	
	time=0

	
	
	
	txt_b1=CreateText("1ST BOSS")
	SetTextSize(txt_b1,100)
	SetTextColor(txt_b1,255,0,0,255)

	xb1=225
	yb1=80
	
	txt_b2=CreateText("3")
	SetTextSize(txt_b2,100)
	SetTextColor(txt_b2,255,0,0,255)

	xb2=5000
	yb2=80
	
	txt_b3=CreateText("2")
	SetTextSize(txt_b3,100)
	SetTextColor(txt_b3,255,0,0,255)

	xb3=5000
	yb3=80
	
	txt_b4=CreateText("1")
	SetTextSize(txt_b4,100)
	SetTextColor(txt_b4,255,0,0,255)

	xb4=5000
	yb4=80
	
	txt_b5=CreateText("CLICK,CLICK,CLICK")
	SetTextSize(txt_b5,100)
	SetTextColor(txt_b5,255,0,0,255)

	xb5=5000
	yb5=80
	
	txt_b6=CreateText("YOU WIN")
	SetTextSize(txt_b6,100)
	SetTextColor(txt_b6,255,0,0,255)

	xb6=5000
	yb6=30
	
	txt_b7=CreateText("YOU LOSE")
	SetTextSize(txt_b7,100)
	SetTextColor(txt_b7,255,0,0,255)

	xb7=5000
	yb7=30
	
	txt_b8=CreateText("YOU")
	SetTextSize(txt_b8,100)
	SetTextColor(txt_b8,0,255,255,255)
	xb8=500
	yb8=380
	SetTextPosition(txt_b8,xb8,yb8)
	
	box=LoadSprite("box.png")
	xbo=5000
	ybo=315
	box1=CloneSprite(box)
	xbo1=5000
	ybo1=245
	box2=CloneSprite(box)
	xbo2=5000
	ybo2=175
	box3=CloneSprite(box) 
	xbo3=5000
	ybo3=105
	box4=CloneSprite(box)
	xbo4=5000
	ybo4=315
	box5=CloneSprite(box)
	xbo5=5000
	ybo5=245
	box6=CloneSprite(box)
	xbo6=5000
	ybo6=175
	box7=CloneSprite(box)
	xbo7=5000
	ybo7=105	
		
	click=0
	aclick=0
	endb1=0
	bw2=0
	
	repeat
		SettextPosition(txt_b1,xb1,yb1)
		SettextPosition(txt_b2,xb2,yb2)
		SettextPosition(txt_b3,xb3,yb3)
		SettextPosition(txt_b4,xb4,yb4)
		SettextPosition(txt_b5,xb5,yb5)
		SettextPosition(txt_b6,xb6,yb6)
		SettextPosition(txt_b7,xb7,yb7)
		SetspritePosition(slimak,xs,ys)
		SetspritePosition(box,xbo,ybo)
		SetspritePosition(box1,xbo1,ybo1)
		SetspritePosition(box2,xbo2,ybo2)
		SetspritePosition(box3,xbo3,ybo3)
		SetspritePosition(box4,xbo4,ybo4)
		SetspritePosition(box5,xbo5,ybo5)
		SetspritePosition(box6,xbo6,ybo6)
		SetspritePosition(box7,xbo7,ybo7)
		
		
				
		time=time+1
		
		if time=>150
			xs=5001
			xb1=5001
		endif
		
		if time=>155
			xb2=350
		endif
		
		if time=>215
			xb3=350
			xb2=5001
		endif
		
		if time=>275
			xb4=350
			xb3=5001
		endif
		
		if time=>335
			xb5=50
			xb4=5001
		endif	
		
		if GetPointerPressed()
			xp=GetPointerX()
			yp=GetPointerY()
			if time=>336
				click=click+1
			endif
		endif
		
		if time=>400
			xb5=5001
		endif	
		
		if click=>25
			xbo=500
		endif
		
		if click=>50
			xbo1=500
		endif
		
		if click=>75
			xbo2=500
		endif
		
		if click=>100
			xbo3=500
		endif
		
		drawline(0,105,860,105,0,0,255)
		drawline(0,106,860,106,0,0,255)
		drawline(0,107,860,107,0,0,255)
		drawline(0,108,860,108,0,0,255)
		drawline(0,109,860,109,0,0,255)
		
		if time>=336
			aclick=aclick+0.05
		endif
		
		if aclick=>25
			xbo4=120
		endif
		
		if aclick=>50
			xbo5=120
		endif
		
		if aclick=>75
			xbo6=120
		endif
		
		if aclick=>100
			xbo7=120
		endif
		
		if xbo3=500 and ybo3=105 and bw2=0
			xbo4=5001
			xbo5=5001
			xbo6=5001
			xbo7=5001
			xb6=350
		endif
		
		if xbo7=120 
			xbo=5001
			xbo1=5001
			xbo2=5001
			xbo3=5001
			xb7=350
			bw2=1
		endif
		
		if xbo3=500 and ybo3=105
			endb1=endb1+1
		endif
		
		if xbo7=120 
			endb1=endb1+1
		endif				
		
	
	
	
		sync()
	
	


	until endb1=250
	
	if xbo7=120
		DeleteAllSprites()
		DeleteAllText()
		exitfunction
	endif

	DeleteAllSprites()
	DeleteAllText()

	b=0
	
	
	
	
	for x=0 to 840 step 70
		for y=0 to 240 step 240
			bg=LoadSprite("bg.png")
			SetSpritePosition(bg,x,y)
		next
	next
	
	for x=0 to 840 step 70
		for x2=0 to 840 step 70
			grass=LoadSprite("grass.png")
			SetSpritePosition(grass,x,380)
			dirt=LoadSprite("dirt.png")
			SetSpritePosition(dirt,x2,450)
		next
	next
	
	fish=CreateSprite(0)
	AddSpriteAnimationFrame(fish,LoadImage("fishSwim1.png"))
	AddSpriteAnimationFrame(fish,LoadImage("fishSwim2.png"))
	SetSpriteShape(fish,3)
	PlaySprite(fish,5,1,1,2)
	SetSpriteSize(fish,108,62)
	xf=350
	yf=250
	
	time=0

	
	
	
	txt_b1=CreateText("2ND BOSS")
	SetTextSize(txt_b1,100)
	SetTextColor(txt_b1,255,0,0,255)

	xb1=225
	yb1=80
	
	txt_b2=CreateText("3")
	SetTextSize(txt_b2,100)
	SetTextColor(txt_b2,255,0,0,255)

	xb2=5000
	yb2=80
	
	txt_b3=CreateText("2")
	SetTextSize(txt_b3,100)
	SetTextColor(txt_b3,255,0,0,255)

	xb3=5000
	yb3=80
	
	txt_b4=CreateText("1")
	SetTextSize(txt_b4,100)
	SetTextColor(txt_b4,255,0,0,255)

	xb4=5000
	yb4=80
	
	txt_b5=CreateText("CLICK,CLICK,CLICK")
	SetTextSize(txt_b5,100)
	SetTextColor(txt_b5,255,0,0,255)

	xb5=5000
	yb5=80
	
	txt_b6=CreateText("YOU WIN")
	SetTextSize(txt_b6,100)
	SetTextColor(txt_b6,255,0,0,255)

	xb6=5000
	yb6=30
	
	txt_b7=CreateText("YOU LOSE")
	SetTextSize(txt_b7,100)
	SetTextColor(txt_b7,255,0,0,255)

	xb7=5000
	yb7=30
	
	txt_b8=CreateText("YOU")
	SetTextSize(txt_b8,100)
	SetTextColor(txt_b8,0,255,255,255)
	xb8=500
	yb8=380
	SetTextPosition(txt_b8,xb8,yb8)
	
	box=LoadSprite("box.png")
	xbo=5000
	ybo=315
	box1=CloneSprite(box)
	xbo1=5000
	ybo1=245
	box2=CloneSprite(box)
	xbo2=5000
	ybo2=175
	box3=CloneSprite(box) 
	xbo3=5000
	ybo3=105
	box4=CloneSprite(box)
	xbo4=5000
	ybo4=315
	box5=CloneSprite(box)
	xbo5=5000
	ybo5=245
	box6=CloneSprite(box)
	xbo6=5000
	ybo6=175
	box7=CloneSprite(box)
	xbo7=5000
	ybo7=105	
		
	click=0
	aclick=0
	endb2=0
	bw1=0
	
	repeat
		SettextPosition(txt_b1,xb1,yb1)
		SettextPosition(txt_b2,xb2,yb2)
		SettextPosition(txt_b3,xb3,yb3)
		SettextPosition(txt_b4,xb4,yb4)
		SettextPosition(txt_b5,xb5,yb5)
		SettextPosition(txt_b6,xb6,yb6)
		SettextPosition(txt_b7,xb7,yb7)
		SetspritePosition(fish,xf,yf)
		SetspritePosition(box,xbo,ybo)
		SetspritePosition(box1,xbo1,ybo1)
		SetspritePosition(box2,xbo2,ybo2)
		SetspritePosition(box3,xbo3,ybo3)
		SetspritePosition(box4,xbo4,ybo4)
		SetspritePosition(box5,xbo5,ybo5)
		SetspritePosition(box6,xbo6,ybo6)
		SetspritePosition(box7,xbo7,ybo7)
		
		
				
		time=time+1
		
		if time=>150
			xf=5001
			xb1=5001
		endif
		
		if time=>155
			xb2=350
		endif
		
		if time=>215
			xb3=350
			xb2=5001
		endif
		
		if time=>275
			xb4=350
			xb3=5001
		endif
		
		if time=>335
			xb5=50
			xb4=5001
		endif	
		
		if GetPointerPressed()
			xp=GetPointerX()
			yp=GetPointerY()
			if time=>336
				click=click+1
			endif
		endif
		
		if time=>400
			xb5=5001
		endif	
		
		if click=>25
			xbo=500
		endif
		
		if click=>50
			xbo1=500
		endif
		
		if click=>75
			xbo2=500
		endif
		
		if click=>100
			xbo3=500
		endif
		
		drawline(0,105,860,105,0,0,255)
		drawline(0,106,860,106,0,0,255)
		drawline(0,107,860,107,0,0,255)
		drawline(0,108,860,108,0,0,255)
		drawline(0,109,860,109,0,0,255)
		
		if time>=336
			aclick=aclick+0.075
		endif
		
		if aclick=>25
			xbo4=120
		endif
		
		if aclick=>50
			xbo5=120
		endif
		
		if aclick=>75
			xbo6=120
		endif
		
		if aclick=>100
			xbo7=120
		endif
		
		if xbo3=500 and ybo3=105 and bw1=0
			xbo4=5001
			xbo5=5001
			xbo6=5001
			xbo7=5001
			xb6=350
		endif
		
		if xbo7=120 
			xbo=5001
			xbo1=5001
			xbo2=5001
			xbo3=5001
			xb7=350
			bw1=1
		endif
		
		if xbo3=500 and ybo3=105
			endb2=endb2+1
		endif
		
		if xbo7=120 
			endb2=endb2+1
		endif
		
		sync()
		
	until endb2=250
	
	if xbo7=120
		DeleteAllSprites()
		DeleteAllText()
		exitfunction
	endif
	
	

	DeleteAllSprites()
	DeleteAllText()

	b=0
	
	
	
	
	for x=0 to 840 step 70
		for y=0 to 240 step 240
			bg=LoadSprite("bg.png")
			SetSpritePosition(bg,x,y)
		next
	next
	
	for x=0 to 840 step 70
		for x2=0 to 840 step 70
			grass=LoadSprite("grass.png")
			SetSpritePosition(grass,x,380)
			dirt=LoadSprite("dirt.png")
			SetSpritePosition(dirt,x2,450)
		next
	next
	
	fly=CreateSprite(0)
	AddSpriteAnimationFrame(fly,LoadImage("flyFly1.png"))
	AddSpriteAnimationFrame(fly,LoadImage("flyFly2.png"))
	SetSpriteShape(fly,3)
	PlaySprite(fly,5,1,1,2)
	SetSpriteSize(fly,108,62)
	xfl=350
	yfl=250
	
	time=0

	
	
	
	txt_b1=CreateText("3RD BOSS")
	SetTextSize(txt_b1,100)
	SetTextColor(txt_b1,255,0,0,255)

	xb1=225
	yb1=80
	
	txt_b2=CreateText("3")
	SetTextSize(txt_b2,100)
	SetTextColor(txt_b2,255,0,0,255)

	xb2=5000
	yb2=80
	
	txt_b3=CreateText("2")
	SetTextSize(txt_b3,100)
	SetTextColor(txt_b3,255,0,0,255)

	xb3=5000
	yb3=80
	
	txt_b4=CreateText("1")
	SetTextSize(txt_b4,100)
	SetTextColor(txt_b4,255,0,0,255)

	xb4=5000
	yb4=80
	
	txt_b5=CreateText("CLICK,CLICK,CLICK")
	SetTextSize(txt_b5,100)
	SetTextColor(txt_b5,255,0,0,255)

	xb5=5000
	yb5=80
	
	txt_b6=CreateText("YOU WIN")
	SetTextSize(txt_b6,100)
	SetTextColor(txt_b6,255,0,0,255)

	xb6=5000
	yb6=30
	
	txt_b7=CreateText("YOU LOSE")
	SetTextSize(txt_b7,100)
	SetTextColor(txt_b7,255,0,0,255)

	xb7=5000
	yb7=30
	
	txt_b8=CreateText("YOU")
	SetTextSize(txt_b8,100)
	SetTextColor(txt_b8,0,255,255,255)
	xb8=500
	yb8=380
	SetTextPosition(txt_b8,xb8,yb8)
	
	box=LoadSprite("box.png")
	xbo=5000
	ybo=315
	box1=CloneSprite(box)
	xbo1=5000
	ybo1=245
	box2=CloneSprite(box)
	xbo2=5000
	ybo2=175
	box3=CloneSprite(box) 
	xbo3=5000
	ybo3=105
	box4=CloneSprite(box)
	xbo4=5000
	ybo4=315
	box5=CloneSprite(box)
	xbo5=5000
	ybo5=245
	box6=CloneSprite(box)
	xbo6=5000
	ybo6=175
	box7=CloneSprite(box)
	xbo7=5000
	ybo7=105	
		
	click=0
	aclick=0
	endb3=0
	bw3=0
	
	repeat
		SettextPosition(txt_b1,xb1,yb1)
		SettextPosition(txt_b2,xb2,yb2)
		SettextPosition(txt_b3,xb3,yb3)
		SettextPosition(txt_b4,xb4,yb4)
		SettextPosition(txt_b5,xb5,yb5)
		SettextPosition(txt_b6,xb6,yb6)
		SettextPosition(txt_b7,xb7,yb7)
		SetspritePosition(fly,xfl,yfl)
		SetspritePosition(box,xbo,ybo)
		SetspritePosition(box1,xbo1,ybo1)
		SetspritePosition(box2,xbo2,ybo2)
		SetspritePosition(box3,xbo3,ybo3)
		SetspritePosition(box4,xbo4,ybo4)
		SetspritePosition(box5,xbo5,ybo5)
		SetspritePosition(box6,xbo6,ybo6)
		SetspritePosition(box7,xbo7,ybo7)
		
		
				
		time=time+1
		
		if time=>150
			xfl=5001
			xb1=5001
		endif
		
		if time=>155
			xb2=350
		endif
		
		if time=>215
			xb3=350
			xb2=5001
		endif
		
		if time=>275
			xb4=350
			xb3=5001
		endif
		
		if time=>335
			xb5=50
			xb4=5001
		endif	
		
		if GetPointerPressed()
			xp=GetPointerX()
			yp=GetPointerY()
			if time=>336
				click=click+1
			endif
		endif
		
		if time=>400
			xb5=5001
		endif	
		
		if click=>25
			xbo=500
		endif
		
		if click=>50
			xbo1=500
		endif
		
		if click=>75
			xbo2=500
		endif
		
		if click=>100
			xbo3=500
		endif
		
		drawline(0,105,860,105,0,0,255)
		drawline(0,106,860,106,0,0,255)
		drawline(0,107,860,107,0,0,255)
		drawline(0,108,860,108,0,0,255)
		drawline(0,109,860,109,0,0,255)
		
		if time>=336
			aclick=aclick+0.095
		endif
		
		if aclick=>25
			xbo4=120
		endif
		
		if aclick=>50
			xbo5=120
		endif
		
		if aclick=>75
			xbo6=120
		endif
		
		if aclick=>100
			xbo7=120
		endif
		
		if xbo3=500 and ybo3=105 and bw3=0
			xbo4=5001
			xbo5=5001
			xbo6=5001
			xbo7=5001
			xb6=350
		endif
		
		if xbo7=120 
			xbo=5001
			xbo1=5001
			xbo2=5001
			xbo3=5001
			xb7=350
			bw3=1
		endif
		
		if xbo3=500 and ybo3=105
			endb3=endb3+1
		endif
		
		if xbo7=120 
			endb3=endb3+1
		endif
		
		sync()
		
	until endb3=250
	
	if endb3=250 and xbo3=500
		DeleteAllSprites()
	    DeleteAllText()
	    complete1=1
	endif 
	
	if endb3=250 and xbo7=120
		DeleteAllSprites()
	    DeleteAllText()
	endif       
	
	
							

endfunction



function exact()
	
	DeleteAllSprites()
	deletealltext()
	
	for x=0 to 840 step 70
		for y=0 to 240 step 240
			bg=LoadSprite("bg.png")
			SetSpritePosition(bg,x,y)
		next
	next
	

	txt_e1=CreateText("YOU LOSE")
	SetTextSize(txt_e1,100)
	SetTextColor(txt_e1,255,0,0,0)

	xe1=5000
	ye1=30
	
	txt_e2=CreateText("CLICK EXACT TIMES")
	SetTextSize(txt_e2,30)
	SetTextColor(txt_e2,0,0,0,255)
	SetTextFont(txt_e2,font3)
	settextposition(txt_e2,200,400)
	
	click=0
	
	time=0
	
	number=1
	
	score=0
	
	alltime=0
	
	lives=0
	
	kmit=0
	
	bam=1
	
	
	
	xn=426
	yn=0
	
	srdce=LoadSprite("hud_heartFull.png")
	xcs=800
	ycs=0
	srdce_polo=LoadImage("hud_heartHalf.png")
	
	LoadImage(1,"hud_1.png")
	LoadImage(2,"hud_2.png")
	LoadImage(3,"hud_3.png")
	LoadImage(4,"hud_4.png")
	LoadImage(5,"hud_5.png")
	LoadImage(6,"hud_6.png")
	LoadImage(7,"hud_7.png")
	LoadImage(8,"hud_8.png")
	LoadImage(9,"hud_9.png")
	
	SetPrintColor(0,0,0)

	n=CreateSprite(number)
	counter=0
	repeat
		SetSpritePosition(n,xn,yn)
		if lives=50
			counter=counter+1
			if counter=3
				setspriteposition(srdce,xcs+random(0,2),ycs+random(0,2))
				counter=0
			endif
		else
			setspriteposition(srdce,xcs,ycs)
		endif

		
		if GetPointerPressed()
			xp=GetPointerX()
			yp=GetPointerY()
			click=click+1
		endif
		
		time=time+bam
		
		if score=>500
			bam=1.2
		endif
		
		if score=>1000
			bam=1.3
		endif
		
		if score=>1500
			bam=1.5
		endif
		
		if score=>2000
			bam=1.7
		endif
		
		if score=>2500
			bam=2.1
		endif
		
		if score=>3000
			bam=2.5
		endif
		
		if score=>4000
			bam=3.5
		endif
		
		if score=>5000
			bam=5
		endif
		
		if score=>10000
			bam=10
		endif
		
		if (click>number or click<number) and time>=199 and alltime>=205
			lives=lives+50
			number=random(1,9)
			time=0
			click=0
			SetSpriteImage(n,number)
		endif															
			
		
		if time=>200
			number=random(1,9)
			time=0
			click=0
			SetSpriteImage(n,number)	
		endif
		
		if click=number and alltime=>205
			score=score+1
		endif		


		
		if lives=50
			SetSpriteImage(srdce,srdce_polo)
		endif	
			

		print(score)
			
		alltime=alltime+1
			
		sync()	
		
	until lives=100	
	
	if score>highscore
		highscore=score
	endif
	
	DeleteAllSprites()
	DeleteAllImages()
	DeleteAllText()	
	
endfunction	
